Bug 432674 - Update request: LLVM-2.2
Update request: LLVM-2.2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
http://article.gmane.org/gmane.comp.c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 13:53 EST by Michel Alexandre Salim
Modified: 2008-03-06 12:50 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 12:50:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-02-13 13:53:14 EST
Description of problem:
LLVM 2.2 is out. Perhaps the GCC frontend actually works this time?

Version-Release number of selected component (if applicable):
llvm-2.1-2
Comment 1 Bryan O'Sullivan 2008-02-13 14:12:03 EST
2.2 doesn't build in Rawhide due to GCC 4.3 compilation problems.  I'm waiting
on a patch from upstream.
Comment 2 Neal Becker 2008-02-13 20:27:01 EST
Do I understand that this package only has C compiler?  No c++?  If true, what 
about c++?
Comment 3 Bryan O'Sullivan 2008-02-13 21:04:07 EST
For now, neither.  We haven't been able to build the front ends.
Comment 4 Michel Alexandre Salim 2008-02-14 07:44:12 EST
(In reply to comment #2)

LLVM is written in C++, thus the problem with GCC 4.3 (header issues?)

I'm quite surprised they did not test it with 4.3 -- they are a compiler project
after all!

Note You need to log in before you can comment on or make changes to this bug.